% ---------------------------------------------------------------------
% EG author guidelines plus sample file for EG publication using LaTeX2e input
% D.Fellner, v2.02, Jan 25, 2017

\usepackage{amsmath,amssymb, tabularx}
\title[ DeepSpline: Data-Driven Reconstruction of Parametric Curves and Surfaces]%
      { DeepSpline: Data-Driven Reconstruction of Parametric Curves and Surfaces}

% for anonymous conference submission please enter your SUBMISSION ID
% instead of the author's name (and leave the affiliation blank) !!
\author[]
{\parbox{\textwidth}{\centering Jun Gao$^{1,2}$\thanks{jungao@cs.toronto.edu}, Chengcheng Tang$^{4}$, Vignesh Ganapathi-Subramanian$^{4}$, Jiahui Huang$^{3}$, Hao Su$^{5}$, Leonidas J. Guibas$^{4}$
%        S. Spencer$^2$\thanks{Chairman Siggraph Publications Board}
        }
        \\
% For Computer Graphics Forum: Please use the abbreviation of your first name.
% {\parbox{\textwidth}{\centering $^1$TU Darmstadt \& Fraunhofer IGD, Germany\\
        % $^2$Graz University of Technology, Institute of Computer Graphics and Knowledge Visualization, Austria
{\parbox{\textwidth}{\centering 
       $^1$University of Toronto; $^2$Vector Institute;
       }
}
\\
{\parbox{\textwidth}{\centering 
       $^3$Tsinghua University; $^4$ Stanford University; $^5$ UC San Diego
       }
}
}
% ------------------------------------------------------------------------

% if the Editors-in-Chief have given you the data, you may uncomment
% the following five lines and insert it here
%
% \volume{36}   % the volume in which the issue will be published;
% \issue{1}     % the issue number of the publication
% \pStartPage{1}      % set starting page


%-------------------------------------------------------------------------
\begin{document}

% uncomment for using teaser
% \teaser{
%  \includegraphics[width=\linewidth]{eg_new}
%  \centering
%   \caption{New EG Logo}
% \label{fig:teaser}
%}


\teaser{
\vspace{-15pt}
\includegraphics[width=\textwidth]{images/teaser.jpg}
\centering
\vspace{-20pt}
\caption{ \small 2D and 3D Parametric Reconstruction. (a) Given a binary image as input on the left, we use a Hierarchical RNN to generate its parametric reconstruction as shown in the middle image. This could be used as initialization to obtain a better reconstruction using traditional optimization methods in the right image. (b) A real image is provided as input on the left, and the rotational symmetry of the object in the image is leveraged to reconstruct the surface on the right, after learning the spline curve that models the profile of the object in the image. Please note that even the subtle kink on the dish is captured in our reconstruction.}
\vspace{2pt}
\label{fig:teaser}
}

\maketitle

%-------------------------------------------------------------------------
% The problems of directly finding parameters. Directly finding the primitves is complicated and also suffers from ambiguity problem, optimization problem and local minima problem \textbf{Challenge: We need to examplify the difficulties of this straight forward approach}.

% Decompose the whole object into several parts and find parameters one by one.

\input{./source/00-abstract.tex}
\input{./source/01-introduction.tex}
\input{./source/02-related_work.tex}
\input{./source/03-overview.tex}
\input{./source/04-model.tex}
\input{./source/05-results.tex}
\input{./source/06-future.tex}

\bibliographystyle{eg-alpha}

\bibliography{parametric}
\end{document}
